routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/



Route::resource('product','ProductController');
Route::get('show_all','ProductController@show_all')->name('product.show_all');
Route::get('product/information/{product}','ProductController@information')->name('product.information');
Route::post('ckeditor/image_upload', 'CKEditorController@upload')->name('upload');
////////bank///////////////

Route::get('buy',function(){
    return view('shop');
});
Route::group(['prefix'=>'/','middleware'=>'Login'],function (){
    Route::get('order','siteController@order');
    Route::post('shop','siteController@add_order');
});



/////////end bank////////////


Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Product.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    protected $fillable=[
        'name',
        'des',
        'img',
        'amount',
        'user_id',
    ];
    public function user()
    {
        return $this->belongsTo('App\User');
    }
}

app/Http/Controllers/ProductController.php
<?php

namespace App\Http\Controllers;

use App\Product;
use App\Products;
use DB;
use Illuminate\Http\Request;

class ProductController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $products=Product::all();
        return view('products.show',compact('products'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

       return view('products.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
//        $validatedData = $request->validate([
//            'name' => 'required|max:255',
//            'des' => 'required',
//            'img'=>'mimes:jpeg,bmp,png',
//            'amount'=> 'required',
//        ]);

        $file=$request->file('img');

        $type=$file->getClientOriginalExtension();//png

        $product=  Product::create(
            [
                'name'=>$request->name,
                'des'=>$request->des,
                'img'=>'f',
                'amount'=>$request->amount,
                'user_id'=>1

            ]
        );
        $new_file_name=$product->id.'.'.$type;//10.png
        $product->update([
            'img'=>$new_file_name,
        ]);

        $adders=public_path('/files/imges/products');
        $file-> move($adders,$new_file_name);
        $request->session()->flash('success','محصول مورد نظر با موفقیت ثبت شد');
        return redirect(route('product.create'));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show(Product $product)
    {
        $products=Product::all();

        return view('products.show',compact('products'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Product $product)
    {
        $products=Product::all();
        return view('products.edit',compact('product'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request,Product $product)
    {
        $file=$request->file('img');

        if(isset($file)){
            $type=$file->getClientOriginalExtension();//png
            $new_file_name=$product->id.".".$type;
            $adders=public_path('/files/images');
            $file-> move($adders,$new_file_name);
        }
        else{
            $new_file_name=$product->img;
        }




        $product->update([
            'name'=>$request->name,
            'des'=>$request->des,
            'img'=>$new_file_name,
            'amount'=>$request->amount,
        ]);



        $request->session()->flash('success','محصول مورد نظر با موفقیت edit شد');
        return redirect(route('product.show_all'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Product $product)
    {
        $product->delete();
        return back();
    }
    public function show_all(Product $product){
      $products=Product::all();
      return view('products.show_all',compact('products'));
    }
    public function information(Product $product){
     return view('products.information',compact('product'));
    }
}

resources/views/products/create.blade.php
@extends('layot')
@section('meno2')

    <form action="{{route('product.store')}}"method="post" enctype="multipart/form-data">

        @csrf
        <div class="form-group required">
            <label for="input-firstname" class="col-sm-2 control-label">نام محصول</label>
            <div class="col-sm-10">
                <input type="text" class="form-control" id="input-firstname" placeholder="نام" value="" name="name">
            </div>
        </div>
        <div class="form-group required">
            <label for="input-email" class="col-sm-2 control-label">قیمت</label>
            <div class="col-sm-10">
                <input type="text" class="form-control" id="input-lastname" placeholder="مقدار" value="" name="amount">
            </div>
        </div>
        <div class="form-group required">
            <label for="input-email" class="col-sm-2 control-label">آدرس ایمیل</label>
            <div class="col-sm-10">
                <input type="email" class="form-control" id="input-email" placeholder="آدرس ایمیل" value="" name="email">
            </div>
        </div>

        <div class="form-group required">
            <label for="input-lastname" class="col-sm-2 control-label">توضیحات</label>
            <div class="col-sm-10">
                <textarea class="form-control" id="summary-ckeditor" name="des"></textarea>
            </div>
        </div>
        <div class="form-group required">
            <label for="input-telephone" class="col-sm-2 control-label">عکس محصول</label>
            <div class="col-sm-10">
                <input type="file" class="form-control" id="input-telephone" placeholder="شماره تلفن" value="" name="img">
            </div>
        </div>

        <input type="submit"value="create">

    </form>
@endsection
@section('js')
    <script src="{{ asset('vendor/unisharp/laravel-ckeditor/ckeditor.js') }}"></script>
    <script>
        CKEDITOR.replace( 'summary-ckeditor', {
            filebrowserUploadUrl: "{{route('upload', ['_token' => csrf_token() ])}}",
            filebrowserUploadMethod: 'form'
        });
    </script>
    @endsection

resources/views/products/edit.blade.php
@extends('layot')
@section('meno2')

    <form action="{{route('product.update',['product'=>$product->id])}}" method="post" enctype="multipart/form-data">
        {{method_field('PATCH')}}
        @csrf
    <div class="form-group required">
        <label for="input-firstname" class="col-sm-2 control-label">نام محصول</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" id="input-firstname" placeholder="نام" value="{{$product->name}}" name="name">
        </div>
    </div>
    <div class="form-group required">
        <label for="input-email" class="col-sm-2 control-label">قیمت</label>
        <div class="col-sm-10">
            <input type="text" class="form-control" id="input-lastname" placeholder="مقدار" value="{{$product->amount}}" name="amount">
        </div>
    </div>
    <div class="form-group required">
        <label for="input-email" class="col-sm-2 control-label">آدرس ایمیل</label>
        <div class="col-sm-10">
            <input type="email" class="form-control" id="input-email" placeholder="آدرس ایمیل" value="" name="email">
        </div>
    </div>

    <div class="form-group required">
        <label for="input-email" class="col-sm-2 control-label" >توضیحات</label>
        <div class="col-sm-10">
           <textarea name="des" rows="#">
              {!!  $product->des  !!}
           </textarea>

        </div>
    </div>
    <div class="form-group required">
        <label for="input-email" class="col-sm-2 control-label">عکس</label>
        <img src="/files/images/{{$product->img}}" style="width: 50px;height: 50px ">
        <div class="col-sm-10">
            <input type="file" class="form-control" id="input-email" placeholder="آدرس ایمیل" value="" name="img">
        </div>
    </div>

<input type="submit"value="edit">

    </form>
    @endsection

resources/views/products/index.blade.php
@extends('layot')
@section('car')
<div class="slides">
        <p>آخرین محصولات اضافه شده</p>
        <ul class="item-list">
        <?php $products=\App\Product::latest('id')->paginate(4); ?>
        @foreach($products as $product)
        <li class="last">
            <div class="item">
                <div class="image">
                    <a href="#"><img src="/ghaleb/images/{{$product->img}}" alt=""style="width: 200px;height: 200px"></a>
                    <div class="hover" style="color: black">
                        <p>{{$product->name }}</p>
                        <strong>{{$product->amount}}تومان</strong>
                    </div>
                </div>
            </div>
        </li>
            @endforeach
    </ul>
</div>
@endsection

resources/views/products/information.blade.php
@extends('layot')
@section('car')
<body>
<div id="wrapper">
    <div class="wrapper-holder">

        <section class="main">
            <div class="content">

                <div class="details-info">
                    <div class="slid_box">
                        <ul class="bxslider">
                            <li><img src="/files/images/{{$product->img}}" /></li>
                            <li><img src="/files/images/{{$product->img}}" /></li>
                            <li><img src="/files/images/{{$product->img}}" /></li>
                            <li><img src="/files/images/{{$product->img}}" /></li>
                        </ul>
                        <div id="bx-pager">
                            <a class="first" data-slide-index="0" href="#"><img src="/files/images/{{$product->img}}" /></a>

                        </div>

                    </div>
                    <div class="description">
                        <div class="head">
                            <h1 class="title">نام محصول</h1>

                            <h2>{{$product->name}}</h2>
                        </div>
                        <div class="section">
                            <form class="form-sort page" action="#">
                                <fieldset>
                                    <div class="row">
                                        <label for="page">تعداد:</label>
                                        <select id="page">
                                            <option>1</option>
                                            <option>2</option>
                                        </select>
                                        <div class="clear"></div>
                                    </div>
                                    <form method="post" action="{{url('shop')}}">
                                        @csrf
                                        <input type="text" name="price" value="100">
                                        <button type="submit">تکمیل خرید</button>
                                    </form>
                                    {{--<button type="button" id="button-cart" class="btn btn-primary btn-lg">افزودن به سبد</button>--}}
                                </fieldset>
                            </form>
                        </div>
                        <div id="tabs">

                            <h1 class="title">توضیحات</h1>
                            <div id="tabs-2">{!!  $product->des!!}</div>

                        </div>
                    </div>
                    <div class="clear"></div>
                </div>
            </div>
        </section>
    </div>
    <!--ترجمه شده توسط مرجع تخصصی برنامه نویسان-->

</div>
<!--ترجمه شده توسط مرجع تخصصی برنامه نویسان-->

</body>
</html>
    @endsection

resources/views/products/show.blade.php
@extends('layot')
@section('car')
    <div class="slides">
        <section class="bar">
            <div class="bar-frame">
                <ul class="breadcrumbs">
                    <li><a href="index.html">صفحه اصلی</a></li>
                    <li>نتایج محصول</li>
                </ul>
            </div>
       </section>

        <ul class="item-list">
        @foreach($products as $product)
        <ul class="item-product">
            <li>
                <div class="item">
                    <div class="image">
                        <a href="products.show"><img src="/files/images/{{$product->img}}" alt=""></a>
                    </div>
                    <span class="name"><a href="products.show">

                         {{$product->name}}</a></span>
                    <span>{{$product->amount}}تومان</span>
                    <div class="button-group">
                        <a href="{{route('product.information',['product'=>$product->id])}}">
                            <button class="btn-primary" type="button" onClick="cart.add('42');"><span> افزودن به سبد خرید</span></button>
                        </a>
                </div>
                </div>
            </li>

        </ul>
        @endforeach
        </ul>

    </div>
    @endsection

resources/views/products/show_all.blade.php
@extends('layot')
@section('meno2')
    <div class="content" >
        <table class="list_table">
            <tbody><tr>
                <td class="braun first">
                    <span>مورد</span>
                </td>
                <td class="braun price">
                    <span>قیمت</span>
                </td><td class="braun price">
                    <span>حذف</span>
                </td><td class="braun price">
                    <span>ویرایش</span>
                </td>

            </tr>
            <tr>
                @foreach($products as $product)
                <td class="white first">
                    <img src="/files/images/{{$product->img}}" alt="" width="90" height="131">
                    <div class="description">
                        <h3><a href="#">

                                {{$product->name}} </a></h3>
                        <p>{!! $product->des !!}</p>
                    </div>
                </td>
                <td class="white two">{{$product->amount}}</td>


                <td class="white last"><div class="row"><a class="btn-delete" href="#">حذف</a></div>

                    <form action="{{route('product.destroy',['product'=>$product])}}" method="post" >
                        @csrf
                        {{method_field('DELETE')}}
                        <input type="submit" value="delet">
                    </form>

                </td>
                    <td class="white last"><div class="row"><a class="btn-delet" href="{{route('product.edit',['product'=>$product->id])}}">
                                ویرایش</a></div>

                    </td>
            </tr>
@endforeach
            </tbody>
        </table>



    </div>
    @endsection